#include <iostream>

using namespace std;

int main()
{
    int t;
    long long k, m, n, bn, q;

    for(int i=0; i<t; t++)
    {
        cin>>n>>m>>k;

        if(n==3LL)
        {
            if(m<3 || (m==3 && k!=3) || (m<6 && k==1))
            {
                cout<<"Nie\n";
            }

            else cout<<"Tak\n";
        }

    }


    return 0;
}